Agora C++ API Reference for All Platforms

Public Member Functions | List of all members
agora::rtc::IVideoRenderer Class Referenceabstract

Inherits agora::rtc::IVideoSinkBase.

Inherited by agora::rtc::IVideoRendererEx.

## Public Member Functions
virtual int | setRenderMode (media::base::RENDER_MODE_TYPE renderMode, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | setRenderMode (void *view, media::base::RENDER_MODE_TYPE renderMode, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | setMirror (bool mirror, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | setMirror (void *view, bool mirror, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | setView (void *view, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | addView (void *view, const Rectangle &cropArea, aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | unsetView (aosl_ref_t ares=AOSL_REF_INVALID)=0
virtual int | removeView (void *view)=0
Public Member Functions inherited from agora::rtc::IVideoSinkBase
virtual int | setProperty (const char *key, const void *buf, int buf_size)
virtual int | getProperty (const char *key, void *buf, int buf_size)
virtual int | onFrame (const media::base::VideoFrame &videoFrame)=0
virtual bool | isExternalSink ()
virtual bool | onDataStreamWillStart ()
virtual void | onDataStreamWillStop ()
virtual bool | applyMirror ()
virtual bool | applyRotation ()
Public Member Functions inherited from agora::RefCountInterface
virtual void | AddRef () const =0
virtual RefCountReleaseStatus | Release () const =0
virtual bool | HasOneRef () const =0

## Additional Inherited Members
Protected Member Functions inherited from agora::RefCountInterface
virtual | ~RefCountInterface ()

## Detailed Description

The `IVideoRenderer` class.

## Member Function Documentation

## ◆ setRenderMode() [1/2]

virtual int agora::rtc::IVideoRenderer::setRenderMode | ( | media::base::RENDER_MODE_TYPE | renderMode,
|  | aosl_ref_t | ares = `AOSL_REF_INVALID`
| ) |  |
| pure virtual

Sets the render mode.

Parameters

  renderMode | The video render mode.

Returns
  - 0: Success.
  - < 0: Failure.

## ◆ setRenderMode() [2/2]

virtual int agora::rtc::IVideoRenderer::setRenderMode | ( | void * | view,
|  | media::base::RENDER_MODE_TYPE | renderMode,
|  | aosl_ref_t | ares = `AOSL_REF_INVALID`
| ) |  |
| pure virtual

Sets the render mode of the view.

Parameters

  view | the view to set render mode.
  renderMode | The video render mode.

Returns
  - 0: Success.
  - < 0: Failure.

Implemented in agora::rtc::IVideoRendererEx.

## ◆ setMirror() [1/2]

virtual int agora::rtc::IVideoRenderer::setMirror | ( | bool | mirror,
|  | aosl_ref_t | ares = `AOSL_REF_INVALID`
| ) |  |
| pure virtual

Sets whether to mirror the video.

Parameters

  mirror | Whether to mirror the video: `true`: Mirror the video. `false`: Do not mirror the video.

Returns
  - 0: Success.
  - < 0: Failure.

## ◆ setMirror() [2/2]

virtual int agora::rtc::IVideoRenderer::setMirror | ( | void * | view,
|  | bool | mirror,
|  | aosl_ref_t | ares = `AOSL_REF_INVALID`
| ) |  |
| pure virtual

Sets whether to mirror the video.

Parameters

  view | the view to set mirror mode.
  mirror | Whether to mirror the video: `true`: Mirror the video. `false`: Do not mirror the video.

Returns
  - 0: Success.
  - < 0: Failure.

Implemented in agora::rtc::IVideoRendererEx.

## ◆ setView()

virtual int agora::rtc::IVideoRenderer::setView | ( | void * | view,
|  | aosl_ref_t | ares = `AOSL_REF_INVALID`
| ) |  |
| pure virtual

Sets the video display window.

Parameters

  view | The pointer to the video display window.

Returns
  - 0: Success.
  - < 0: Failure.

Implemented in agora::rtc::IVideoRendererEx.

## ◆ addView()

virtual int agora::rtc::IVideoRenderer::addView | ( | void * | view,
|  | const Rectangle & | cropArea,
|  | aosl_ref_t | ares = `AOSL_REF_INVALID`
| ) |  |
| pure virtual

Sets the video display window.

Parameters

  view | The pointer to the video display window.
  cropArea | (Optional) Sets the relative location of the region to show. See Rectangle.

Returns
  - 0: Success.
  - < 0: Failure.

Implemented in agora::rtc::IVideoRendererEx.

## ◆ unsetView()

virtual int agora::rtc::IVideoRenderer::unsetView | ( | aosl_ref_t | ares = `AOSL_REF_INVALID` | ) |
| pure virtual

Stops rendering the video view on the window.

Returns
  - 0: Success.
  - < 0: Failure.

## ◆ removeView()

virtual int agora::rtc::IVideoRenderer::removeView | ( | void * | view | ) |
| pure virtual

remove rendering the video view on the window.

Returns
  - 0: Success.
  - < 0: Failure.

Implemented in agora::rtc::IVideoRendererEx.